package com.tzy.framework.express.service;

import com.alibaba.fastjson.JSONObject;
import com.tzy.framework.express.dto.ExpressResult;
import com.tzy.framework.express.dto.Sf2TemplateDto;
import com.tzy.framework.express.dto.SfParamDto;
import com.tzy.framework.express.dto.SfTemplateDto;

import java.util.List;

/**
 * 顺丰发货
 */
public interface ExpressSfService {
    /**
     * 下单
     * @param params
     * @return
     */
    public JSONObject downExpressOrder(List<SfParamDto> params);
    /**
     * 查询快递单
     * @return
     */
    public JSONObject queryOrderDownStatus(String orderId);

    /**
     * 取消订单
     * @param orderId EXP
     * @return
     */
    public JSONObject cancelOrder(String orderId,String sfCode);
    /**
     * 获取打印面单 v1.0
     * @return
     */
    public ExpressResult getSfpdf(List<SfTemplateDto> sfTemplateDtos);
    /**
     * 获取打印面单 v2.0
     * @return
     */
    public ExpressResult getSfpdf2(List<Sf2TemplateDto> sfTemplateDtos);

}
